System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Collections.ICollection System.IDisposable

can be used to generate unique file names and to keep track of a list of files. This can be useful to implementers when managing a list of compiler-generated intermediate files, which are sometimes deleted after use.

To specify a directory to generate unique temporary file names in, use an appropriately overloaded constructor. You can also use a constructor overload to indicate whether files added to the collection should, if not specified otherwise when using the or methods, be deleted when the collection is disposed or the method is called.

A file in any directory can be added to an instance of using the method.

To generate a unique name for a temporary file of a particular file extension, call and specifiy the extension of the file name to generate. The method will return a string consisting of a full path to a file name of the specified extension in the directory specified by the property. The method will only return one unique file name per file name extension.

Both the and methods have overloads that allow you to specify whether the files should be deleted when the collection is disposed or the method is called.

The method will delete all the files in the collection except those that are marked to be kept.

The property indicates a full path to the base file name, without a file name extension, used to generate the file names returned by the method.

This class contains a link demand and an inheritance demand at the class level that applies to all members. A is thrown when either the immediate caller or the derived class does not have full-trust permission. For details about security demands, see Link Demands and Inheritance Demands.

Represents a collection of temporary files.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  This is a default constructor that initializes the collection with default settings. By default, this temporary files collection will store the files in a default temporary directory and will delete the temporary files after they have been generated and used.

  Initializes a new instance of the class with default values.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class using the specified temporary directory that is set to delete the temporary files after their generation and use, by default.

  A path to the temporary directory to use for storing the temporary files.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The value of is used to set the parameter. The temporary files in the collection are retained or deleted upon the completion of compiler activity based on the value of the property in the collection. As each file is added to the collection, the current value of is associated with it, unless it is added with a method that has a parameter, in which case that value is used for that specific file. When the method is called, if is true, all files are deleted, including those added with a value of true. This allows specific files, those identified as being keep files, to be temporarily retained after compilation for purposes such as error reporting, then deleted when they are no longer needed.

  Initializes a new instance of the class using the specified temporary directory and specified value indicating whether to keep or delete the temporary files after their generation and use, by default.

  A path to the temporary directory to use for storing the temporary files.
  true if the temporary files should be kept after use; false if the temporary files should be deleted.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String ``

  This method returns a file name with the specified extension that has been added to the temporary files collection. Other code must still create the file before it can be used.

  This method can be called only once for each file name extension, because it will return the same name if it is called with the same extension.

  Adds a file name with the specified file name extension to the collection.

  A file name with the specified extension that was just added to the collection.

  The file name extension for the auto-generated temporary file name to add to the collection.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String `` ``

  This method returns a file name with the specified extension that has been added to the temporary files collection. Other code must still create the file before it can be used.

  This method can be called only once for each file name extension, because it will return the same name if it is called with the same extension.

  Adds a file name with the specified file name extension to the collection, using the specified value indicating whether the file should be deleted or retained.

  A file name with the specified extension that was just added to the collection.

  The file name extension for the auto-generated temporary file name to add to the collection. true if the file should be kept after use; false if the file should be deleted.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  Adds the specified file to the collection, using the specified value indicating whether to keep the file after the collection is disposed or when the method is called.

  The name of the file to add to the collection. true if the file should be kept after use; false if the file should be deleted.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string' To be added

  Gets the full path to the base file name, without a file name extension, on the temporary directory path, that is used to generate temporary file names for the collection.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  Copies the members of the collection to the specified string, beginning at the specified index.

  The array of strings to copy to. The index of the array to begin copying to.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added: an object of type 'int' To be added

  Gets the number of files in the collection.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  The method examines each file in the collection to determine, on an individual basis, whether the file is to be kept or deleted. Files can be explicitly marked to be kept when added to the collection using add methods that take a parameter. When adding a file to the collection using the overload that does not have a parameter the value of the property is used as the default keep file indicator.

  Deletes the temporary files within this collection that were not marked to be kept.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  This method is called by the public Dispose() method and the method. Dispose() invokes the protected Dispose(Boolean) method with the parameter set to true. invokes Dispose with set to false.

  When the parameter is true, this method releases all resources held by any managed objects that this references. This method invokes the Dispose() method of each referenced object.

  Releases the unmanaged resources used by the and optionally releases the managed resources.

  true to release both managed and unmanaged resources; false to release only unmanaged resources.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  This method overrides and cleans up resources by calling Dispose(false). Override Dispose(Boolean) to customize the cleanup.

  Application code should not call this method; an object's Finalize method is automatically invoked during garbage collection, unless finalization by the garbage collector has been disabled by a call to the method.

  For more information, see [<topic://cpconFinalizeMethodscDestructors>], [<topic://cpconCleaningUpUnmanagedResources>], and [<topic://cpconOverridingFinalizeMethod>].

  Attempts to delete the temporary files before this object is reclaimed by garbage collection.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Collections.IEnumerator To be added

  Gets an enumerator that can enumerate the members of the collection.

  An that contains the collection's members.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added: an object of type 'bool'

  The value of the property is used as the default value when the overload that does not have a parameter is called to add a temporary file to the collection. Each temporary file in the collection has an associated keep file flag that determines, on a per-file basis, whether that file is to be kept or deleted. Files are automatically kept or deleted on completion of the compilation based on their associated keep files value. However, after compilation is complete, files that were kept can be released by setting false and calling the method. This will result in all files being deleted.

  Gets or sets a value indicating whether to keep the files, by default, when the method is called or the collection is disposed.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  Copies the elements of the collection to an array, starting at the specified index of the target array.

  The one-dimensional that is the destination of the elements copied from . The must have zero-based indexing. The zero-based index in array at which copying begins.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  Gets the number of elements contained in the collection.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  Gets a value indicating whether access to the collection is synchronized (thread safe).

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  Gets an object that can be used to synchronize access to the collection.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Collections.IEnumerator

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  Returns an enumerator that iterates through a collection.

  An that can be used to iterate through the collection.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  Performs application-defined tasks associated with freeing, releasing, or resetting unmanaged resources.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string' To be added

  Gets the temporary directory to store the temporary files in.